Subject: Problems with config. Solaris 2.1/x86 and HP550c on parallel port

From: [email-masked]
Date: Thu, 3 Feb 1994 21:31:12 GMT

Hello,

I am trying to set up the Solaris 2.1 /x86(on an AST Research 486/33 EISA)
printing system for an HP550c printer, on the parallel port with /dev/lp, 
using gs2.6.0 for postscript output.

After proceeding through filtering and spooling, the postscript 
(or other .pcl) files start printing correctly.  After a portion of a 
page is correctly printed, "binary" characters suddenly start appearing,
sometimes on the same page, sometimes after a form feed.

Summarizing:

	* cat fname > /dev/lp1   --> works fine, including gs output !!
	* lp textfile   --> works fine 
	* I have replaced the Solaris "standard" printer interface
	  with "cat $6".  --> exactly same result as  "standard"
	* After replacing  "standard" with "cat $6 > /tmp/my_out.HP",
	  I can cat  my_out.HP  manually to /dev/lp1 without any problem.
	* I have used lpadmin ...  -o "stty='-opost,-onclr,pass8'" as 
	  well as *likely* variations  --> exactly same printer problem

At the moment, I am stuck.  Does anyone have a similar system configured?
If so, please send your "stty" settings for lpadmin, and your terminfo
entry for the HP550c.  I would be very grateful.

Thanks for your help,

-- 
  Joseph Kaelin	                          [email-masked]	
  Consulting Geotechnical Engineer
  Huas Drusberg, CH-8844, Switzerland